Description

Under some circumstances, the dialog for configuring the number format of the layout grid does not load the previously selected
options (decimal separator, thousands separator, etc).  The default options are loaded instead.

Steps to reproduce the error:
- Create a layout document, insert an fframe view
- Add some layers
- Double click on the fframeview in order to configure it
- Select Show Grid and Configure
- Click on Number Format
- Change some options
- Accept all the dialogs
- Open fframeview configuration dialog again
- Click on configure the grid, click OK without changing any value
- Accept all the dialogs
- Open the Number format dialog again.

Expected result:
- The dialog shows the format options we selected previously
Actual result:
- The dialog shows the default number format options

Associated revisions
Revision 342 - 03/02/2015 07:04 PM - Cesar Martinez Izquierdo

On the grid of the layout (fframegrid), correct the label position so that it never overlaps with the fframeview. Add an anchor option to the dialog to align
the center or the corner of the label. Fixes: #3103, #2906. Correctly restore number format: Fixes #3235

History
#1 - 03/02/2015 07:11 PM - Cesar Martinez Izquierdo
- Status changed from In progress to Fixed

#2 - 04/07/2015 12:50 PM - Álvaro Anguix
- Status changed from Fixed to Closed
#3 - 06/15/2015 10:24 AM - Joaquín  del Cerro Murciano
- Target version set to 2.2.0-2311-rc2

05/16/2024 2/2


